org.scalatest.WordSpec

# WordSpecStringWrapper

#### class WordSpecStringWrapper extends AnyRef

A class that via an implicit conversion (named `convertToWordSpecStringWrapper`) enables methods `when`, `that`, `in`, `is`, `taggedAs` and `ignore` to be invoked on `String`s.

This class provides much of the syntax for `WordSpec`, however, it does not add the verb methods (`should`, `must`, and `can`) to `String`. Instead, these are added via the `ShouldVerb`, `MustVerb`, and `CanVerb` traits, which `WordSpec` mixes in, to avoid a conflict with implicit conversions provided in `ShouldMatchers` and `MustMatchers`.

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. WordSpecStringWrapper
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new WordSpecStringWrapper (string: String)

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def ignore (f: ⇒ Unit): Unit

    Supports ignored test registration.

    Supports ignored test registration.

    For example, this method supports syntax such as the following:

        "complain on peek" ignore { ... }
                           ^

    For more information and examples of this method's use, see the main documentation for trait `WordSpec`.

14. #### def in (f: ⇒ Unit): Unit

    Supports test registration.

    Supports test registration.

    For example, this method supports syntax such as the following:

        "complain on peek" in { ... }
                           ^

    For more information and examples of this method's use, see the main documentation for trait `WordSpec`.

15. #### def is (f: ⇒ PendingNothing): Unit

    Supports pending test registration.

    Supports pending test registration.

    For example, this method supports syntax such as the following:

        "complain on peek" is (pending)
                           ^

    For more information and examples of this method's use, see the main documentation for trait `WordSpec`.

16. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

17. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def taggedAs (firstTestTag: Tag, otherTestTags: Tag*): ResultOfTaggedAsInvocationOnString

    Supports tagged test registration.

    Supports tagged test registration.

    For example, this method supports syntax such as the following:

        "complain on peek" taggedAs(SlowTest) in { ... }
                           ^

    For more information and examples of this method's use, see the main documentation for trait `WordSpec`.

22. #### def that (resultOfAfterWordApplication: ResultOfAfterWordApplication): Unit

    Registers a `that` clause that is followed by an after word.

    Registers a `that` clause that is followed by an after word.

    For example, this method supports syntax such as the following:

        def is = afterWord("is")

        "a rerun button" that is {
                         ^

    For more information and examples of this method's use, see the main documentation for trait `WordSpec`.

23. #### def that (f: ⇒ Unit): Unit

    Registers a `that` clause.

    Registers a `that` clause.

    For example, this method supports syntax such as the following:

        "a rerun button" that {
                         ^

    For more information and examples of this method's use, see the main documentation for trait `WordSpec`.

24. #### def toString (): String

    Definition Classes
      AnyRef → Any

25. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

27. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

28. #### def when (resultOfAfterWordApplication: ResultOfAfterWordApplication): Unit

    Registers a `when` clause that is followed by an after word.

    Registers a `when` clause that is followed by an after word.

    For example, this method supports syntax such as the following:

        val theUser = afterWord("the user")

        "A Stack" when theUser { ... }
                  ^

    For more information and examples of this method's use, see the main documentation for trait `WordSpec`.

29. #### def when (f: ⇒ Unit): Unit

    Registers a `when` clause.

    Registers a `when` clause.

    For example, this method supports syntax such as the following:

        "A Stack" when { ... }
                  ^

    For more information and examples of this method's use, see the main documentation for trait `WordSpec`.

### Inherited from AnyRef

### Inherited from Any